---
schema_version: "1"
id: a505a609b007d4f57c94e245dc83ed0d6bf794e0b0030d71ffc3324c952d2e8d
title: GET /sms/v1/contacts/queueImport/{id}/status/{tokenId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getContactImportStatus.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/getContactImportStatus.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 0c6519c5b3eec09729a11ed46694e58057ba06eaf1a2a164896b14baa8828d70
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /sms/v1/contacts/queueImport/{id}/status/{tokenId}

## Overview

Retrieves the status of an import job.

### URL Parameters

<!--complex table-->

| Name        | Type   |              | Description                                                 |
| ----------- | ------ | ------------ | ----------------------------------------------------------- |
| **ListID**  | string | **Required** | The ID of the List found in the MobileConnect interface     |
| **TokenID** | string | **Required** | The unique ID returned when using the ImportQueue operation |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /sms/v1/contacts/queueImport/UEhwdktFWXpFZUs3Z3hRUW45R2dBQTo2Mzow/status/NzY2MTU6NDI6MA
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
HTTP/1.1 202 Accepted
{
    "tokenId": "NzY2MTU6NDI6MA",
    "status": "Completed",
    "createdDate": "2012-12-19T14:16:16.270Z",
    "type": "Import"
}
```
